import request from '@/utils/request'

// 查询流程达式列表
export const listExpression = async (query: any) => {
  return await request({
    url: '/flowable/expression/list',
    method: 'get',
    params: query
  })
}

// 查询流程达式详细
export const getExpression = async (id: string) => {
	return await request({
		url: "/flowable/expression/" + id,
		method: "get",
	});
};

// 新增流程达式
export const addExpression = async (data: any) => {
	return await request({
		url: "/flowable/expression",
		method: "post",
		data: data,
	});
};

// 修改流程达式
export const updateExpression = async (data: any) => {
	return await request({
		url: "/flowable/expression",
		method: "put",
		data: data,
	});
};

// 删除流程达式
export const delExpression = async (id: string) => {
	return await request({
		url: "/flowable/expression/" + id,
		method: "delete",
	});
};
