import request from '@/utils/request'

// 查询流程监听列表
export const listListener = async (query: any) => {
  return await request({
    url: '/flowable/listener/list',
    method: 'get',
    params: query
  })
}

// 查询流程监听详细
export const getListener = async (id: string) => {
	return await request({
		url: "/flowable/listener/" + id,
		method: "get",
	});
}

// 新增流程监听
export const addListener = async (data: any) => {
	return await request({
		url: "/flowable/listener",
		method: "post",
		data: data,
	});
}

// 修改流程监听
export const updateListener = async (data: any) => {
	return await request({
		url: "/flowable/listener",
		method: "put",
		data: data,
	});
}

// 删除流程监听
export const delListener = async (id: string) => {
	return await request({
		url: "/flowable/listener/" + id,
		method: "delete",
	});
};
