import request from '@/utils/request'

// 我的发起的流程
export const myProcessList = async (query: any) => {
	return await request({
		url: "/flowable/task/myProcess",
		method: "get",
		params: query,
	});
}

export const flowFormData = async (query: any) => {
	return await request({
		url: "/flowable/task/flowFormData",
		method: "get",
		params: query,
	});
};

// 完成任务
export const complete = async (data: any) => {
	return request({
		url: "/flowable/task/complete",
		method: "post",
		data: data,
	});
}

// 取消申请
export const stopProcess = async (data: any) => {
	return request({
		url: "/flowable/task/stopProcess",
		method: "post",
		data: data,
	});
}

// 驳回任务
export const rejectTask = async (data: any) => {
	return request({
		url: "/flowable/task/reject",
		method: "post",
		data: data,
	});
}

// 可退回任务列表
export const returnList = async (data: any) => {
	return request({
		url: "/flowable/task/returnList",
		method: "post",
		data: data,
	});
}

// 部署流程实例
export const deployStart = async (deployId: string) => {
	return request({
		url: "/flowable/process/startFlow/" + deployId,
		method: "get",
	});
}

// 查询流程定义详细
export const getDeployment = async (id: string) => {
	return request({
		url: "/system/deployment/" + id,
		method: "get",
	});
}

// 新增流程定义
export const addDeployment = async (data: any) => {
	return request({
		url: "/system/deployment",
		method: "post",
		data: data,
	});
}

// 修改流程定义
export const updateDeployment = async (data: any) => {
	return request({
		url: "/system/deployment",
		method: "put",
		data: data,
	});
}

// 删除流程定义
export const delDeployment = async (id: string) => {
	return request({
		url: "/system/deployment/" + id,
		method: "delete",
	});
}

// 导出流程定义
export const exportDeployment = async (query: any) => {
	return request({
		url: "/system/deployment/export",
		method: "get",
		params: query,
	});
};
